function [ EMIVec ] = GetEntropyMI( feat, max_vector, min_vector, bin )
    
    % Marco San Biagio      Version 1.00
    % Copyright 2013 Marco San Biagio.  [Marco.SanBiagio-at-iit.it]
    % Please email me if you have questions.
    %
    % INPUTS
    % feat             - feat is a 3D matrix representing the features of
    %                    a single patch extracted from the image (Blk1xBlk2xd)
    % max_vector       - Vector representing the max values of the features
    %                    of the training
    % min_vector       - Vector representing the min values of the features
    %                    of the training
    % bin              - number of bins for the Entropy and Mutual
    %                    information quantization
    %
    % OUTPUT
    % EMI              - EMI descriptor
    %
    % [1] M. San Biagio, M. Crocco, M. Cristani, S. Martelli and V. Murino
    %     Heterogeneous Auto-Similarities of Characteristics (HASC): Exploiting Relational Information for Classification
    %     International Conference on Computer Vision, Proceedings of. 2013.

    EMI = GetEntropyMIMex(feat, max_vector, min_vector, bin);
    EMIVec = GetVectorization( EMI );
    
end