function [ EMI_vec, COV_vec ] = msb_EmiCovMex( block, bin, NormDir)

    % Marco San Biagio      Version 1.00
    % Copyright 2013 Marco San Biagio.  [Marco.SanBiagio-at-iit.it]
    % Please email me if you have questions.
    %
    % INPUTS
    % block                - feat is a 3D matrix representing the features of
    %                        a single patch extracted from the image (Blk1xBlk2xd)
    % bin                  - number of bins for the Entropy and Mutual
    %                        information quantization
    % NormDir              - Directory where the "MeanStdFeatures.mat" is
    %                        stored
    %
    % OUTPUT
    % EMI_vec              - EMI descriptor vectorized 
    % COV_vec              - COV descriptor vectorized 
    %
    % [1] M. San Biagio, M. Crocco, M. Cristani, S. Martelli and V. Murino
    % Heterogeneous Auto-Similarities of Characteristics (HASC): Exploiting Relational Information for Classification
    % ICCV 2013
    
    name1 = [NormDir '/MeanStdFeatures.mat'];
    load(name1);
    
    EMI_vec = GetEntropyMI( block, max_vector, min_vector, bin );

    COV_vec = GetCovariance( block );

end

